LINUX 静默式安装IBM MQ7 并测试和安装IBM MB8.

[root@ibmsyss ~]# pwd
/root
[root@ibmsyss ~]# ls
anaconda-ks.cfg install.log install.log.syslog Mb8_64_For_Linux.iso
[root@ibmsyss ~]# mount Mb8_64_For_Linux.iso
mount: can’t find Mb8_64_For_Linux.iso in /etc/fstab or /etc/mtab
[root@ibmsyss ~]# mount Mb8_64_For_Linux.iso /mnt
mount: /root/Mb8_64_For_Linux.iso is not a block device (maybe try `-o loop’?)
[root@ibmsyss ~]# mount -o loop Mb8_64_For_Linux.iso /mnt
[root@ibmsyss ~]# ls /mnt
IE02 license Message_Broker_Toolkit_V8.0 sample-scripts setuplinuxx64.bin
install.ini MBExplorer readmes setuplinuxx64 WebSphere_MQ_V7.0.1.3
[root@ibmsyss ~]# ls
anaconda-ks.cfg install.log install.log.syslog Mb8_64_For_Linux.iso
[root@ibmsyss ~]# cd /mnt
[root@ibmsyss mnt]# ls
IE02 license Message_Broker_Toolkit_V8.0 sample-scripts setuplinuxx64.bin
install.ini MBExplorer readmes setuplinuxx64 WebSphere_MQ_V7.0.1.3
[root@ibmsyss mnt]# cd WebSphere_MQ_V7.0.1.3/
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# ls
copyright MQSeriesMan-7.0.1-3.x86_64.rpm MQSeriesMsg_Zh_CN-7.0.1-3.x86_64.rpm
gsk7bas64-7.0-4.27.x86_64.rpm MQSeriesMsg_cs-7.0.1-3.x86_64.rpm MQSeriesMsg_Zh_TW-7.0.1-3.x86_64.rpm
gsk7bas-7.0-4.27.i386.rpm MQSeriesMsg_de-7.0.1-3.x86_64.rpm MQSeriesRuntime-7.0.1-3.x86_64.rpm
lap MQSeriesMsg_es-7.0.1-3.x86_64.rpm MQSeriesSamples-7.0.1-3.x86_64.rpm
licenses MQSeriesMsg_fr-7.0.1-3.x86_64.rpm MQSeriesSDK-7.0.1-3.x86_64.rpm
mqlicense.sh MQSeriesMsg_hu-7.0.1-3.x86_64.rpm MQSeriesServer-7.0.1-3.x86_64.rpm
MQSeriesClient-7.0.1-3.x86_64.rpm MQSeriesMsg_it-7.0.1-3.x86_64.rpm MQSeriesTXClient-7.0.1-3.x86_64.rpm
MQSeriesConfig-7.0.1-3.x86_64.rpm MQSeriesMsg_ja-7.0.1-3.x86_64.rpm PreReqs
MQSeriesEclipseSDK33-7.0.1-3.x86_64.rpm MQSeriesMsg_ko-7.0.1-3.x86_64.rpm readadd.txt
MQSeriesJava-7.0.1-3.x86_64.rpm MQSeriesMsg_pl-7.0.1-3.x86_64.rpm READMEs
MQSeriesJRE-7.0.1-3.x86_64.rpm MQSeriesMsg_pt-7.0.1-3.x86_64.rpm
MQSeriesKeyMan-7.0.1-3.x86_64.rpm MQSeriesMsg_ru-7.0.1-3.x86_64.rpm


[root@ibmsyss WebSphere_MQ_V7.0.1.3]# ./mqlicense.sh -accept

Licensed Materials – Property of IBM

5724-H72

(C) Copyright IBM Corporation 1994, 2009 All rights reserved.

US Government Users Restricted Rights – Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.

Agreement accepted: Proceed with install.

[root@ibmsyss WebSphere_MQ_V7.0.1.3]# yum localinstall *.rpm
Loaded plugins: fastestmirror
Setting up Local Package Process
Examining gsk7bas64-7.0-4.27.x86_64.rpm: gsk7bas64-7.0-4.27.x86_64
Marking gsk7bas64-7.0-4.27.x86_64.rpm to be installed
Loading mirror speeds from cached hostfile
base | 3.7 kB 00:00
extras | 3.4 kB 00:00
updates | 3.4 kB 00:00
Examining gsk7bas-7.0-4.27.i386.rpm: gsk7bas-7.0-4.27.i386
Marking gsk7bas-7.0-4.27.i386.rpm to be installed
Examining MQSeriesClient-7.0.1-3.x86_64.rpm: MQSeriesClient-7.0.1-3.x86_64
Marking MQSeriesClient-7.0.1-3.x86_64.rpm to be installed
Examining MQSeriesConfig-7.0.1-3.x86_64.rpm: MQSeriesConfig-7.0.1-3.x86_64

………………………………………………………..
Resolving Dependencies
–> Running transaction check
—> Package MQSeriesClient.x86_64 0:7.0.1-3 will be installed
—> Package MQSeriesConfig.x86_64 0:7.0.1-3 will be installed
—> Package MQSeriesEclipseSDK33.x86_64 0:7.0.1-3 will be installed
—> Package MQSeriesJRE.x86_64 0:7.0.1-3 will be installed
—> Package MQSeriesJava.x86_64 0:7.0.1-3 will be installed
—> Package MQSeriesKeyMan.x86_64 0:7.0.1-3 will be installed
………………………………………………………………………………………………………

Dependencies Resolved

==================================================================================================================================================
Package Arch Version Repository Size
==================================================================================================================================================
Installing:
MQSeriesClient x86_64 7.0.1-3 /MQSeriesClient-7.0.1-3.x86_64 9.1 M
MQSeriesConfig x86_64 7.0.1-3 /MQSeriesConfig-7.0.1-3.x86_64 59 M
MQSeriesEclipseSDK33 x86_64 7.0.1-3 /MQSeriesEclipseSDK33-7.0.1-3.x86_64 250 M
MQSeriesJRE x86_64 7.0.1-3 /MQSeriesJRE-7.0.1-3.x86_64 66 M
…………………………………………………………………………………….
Installing for dependencies:
compat-libstdc++-33 i686 3.2.3-69.el6 base 189 k

Transaction Summary
==================================================================================================================================================
Install 28 Package(s)

Total size: 608 M
Total download size: 189 k
Installed size: 609 M
Is this ok [y/N]: y
Downloading Packages:
compat-libstdc++-33-3.2.3-69.el6.i686.rpm | 189 kB 00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : MQSeriesRuntime-7.0.1-3.x86_64 1/28
Creating group mqm
Creating user mqm
Installing : MQSeriesJava-7.0.1-3.x86_64 2/28
Installing : MQSeriesJRE-7.0.1-3.x86_64 3/28
Installing : MQSeriesEclipseSDK33-7.0.1-3.x86_64 4/28
/opt/mqm/eclipseSDK33/eclipse/eclipse: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
Installing : MQSeriesClient-7.0.1-3.x86_64 5/28
Installing : gsk7bas64-7.0-4.27.x86_64 6/28
Installing : compat-libstdc++-33-3.2.3-69.el6.i686 7/28
Installing : gsk7bas-7.0-4.27.i386 8/28
………………………………………………………………………………

Installed:
MQSeriesClient.x86_64 0:7.0.1-3 MQSeriesConfig.x86_64 0:7.0.1-3 MQSeriesEclipseSDK33.x86_64 0:7.0.1-3 MQSeriesJRE.x86_64 0:7.0.1-3
MQSeriesJava.x86_64 0:7.0.1-3 MQSeriesKeyMan.x86_64 0:7.0.1-3 MQSeriesMan.x86_64 0:7.0.1-3 MQSeriesMsg_Zh_CN.x86_64 0:7.0.1-3
MQSeriesMsg_Zh_TW.x86_64 0:7.0.1-3 MQSeriesMsg_cs.x86_64 0:7.0.1-3 MQSeriesMsg_de.x86_64 0:7.0.1-3 MQSeriesMsg_es.x86_64 0:7.0.1-3
MQSeriesMsg_fr.x86_64 0:7.0.1-3 MQSeriesMsg_hu.x86_64 0:7.0.1-3 MQSeriesMsg_it.x86_64 0:7.0.1-3 MQSeriesMsg_ja.x86_64 0:7.0.1-3
MQSeriesMsg_ko.x86_64 0:7.0.1-3 MQSeriesMsg_pl.x86_64 0:7.0.1-3 MQSeriesMsg_pt.x86_64 0:7.0.1-3 MQSeriesMsg_ru.x86_64 0:7.0.1-3
MQSeriesRuntime.x86_64 0:7.0.1-3 MQSeriesSDK.x86_64 0:7.0.1-3 MQSeriesSamples.x86_64 0:7.0.1-3 MQSeriesServer.x86_64 0:7.0.1-3
MQSeriesTXClient.x86_64 0:7.0.1-3 gsk7bas.i386 0:7.0-4.27 gsk7bas64.x86_64 0:7.0-4.27

Dependency Installed:
compat-libstdc++-33.i686 0:3.2.3-69.el6

Complete!
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# yum whatprovides libgtk-x11-2.0.so.0
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
gtk2-2.24.23-9.el6.i686 : The GIMP ToolKit (GTK+), a library for creating GUIs for X
Repo : base
Matched from:
Other : libgtk-x11-2.0.so.0

[root@ibmsyss WebSphere_MQ_V7.0.1.3]# yum install libgtk-x11-2.0.so.0
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Setting up Install Process
Resolving Dependencies
–> Running transaction check
—> Package gtk2.i686 0:2.24.23-9.el6 will be installed
–> Processing Dependency: glib2 >= 2.28.0-1 for package: gtk2-2.24.23-9.el6.i686
–> Processing Dependency: libpangoft2-1.0.so.0 for package: gtk2-2.24.23-9.el6.i686
–> Processing Dependency: libpangocairo-1.0.so.0 for package: gtk2-2.24.23-9.el6.i686
–> Processing Dependency: libpango-1.0.so.0 for package: gtk2-2.24.23-9.el6.i686
–> Processing Dependency: libgthread-2.0.so.0 for package: gtk2-2.24.23-9.el6.i686
–> Processing Dependency: libgobject-2.0.so.0 for package: gtk2-2.24.23-9.el6.i686
–> Processing Dependency: libgmodule-2.0.so.0 for package: gtk2-2.24.23-9.el6.i686
–> Processing Dependency: libglib-2.0.so.0 for package: gtk2-2.24.23-9.el6.i686
……………………………………………………………………………………………………………………….

Dependencies Resolved

====================================================================================================================================================================
Package Arch Version Repository Size
====================================================================================================================================================================
Installing:
gtk2 i686 2.24.23-9.el6 base 3.2 M
Updating:
gtk2 x86_64 2.24.23-9.el6 base 3.2 M
Installing for dependencies:
atk i686 1.30.0-1.el6 base 194 k
audit-libs i686 2.4.5-6.el6 base 75 k
avahi-libs i686 0.6.25-17.el6 base 55 k
cairo i686 1.8.8-6.el6_6 base 319 k
cups-libs i686 1:1.4.2-78.el6_9 updates 332 k
………………………………………………………………………………………………………

Transaction Summary
====================================================================================================================================================================
Install 46 Package(s)
Upgrade 85 Package(s)

Total download size: 42 M
Is this ok [y/N]: y
Downloading Packages:
(1/131): atk-1.30.0-1.el6.i686.rpm | 194 kB 00:00
(2/131): audit-2.4.5-6.el6.x86_64.rpm | 204 kB 00:00
(3/131): audit-libs-2.4.5-6.el6.i686.rpm | 75 kB 00:00
(4/131): audit-libs-2.4.5-6.el6.x86_64.rpm | 74 kB 00:00
……………………………………………………………………………………………………..

Installed:
gtk2.i686 0:2.24.23-9.el6

Dependency Installed:
atk.i686 0:1.30.0-1.el6 audit-libs.i686 0:2.4.5-6.el6 avahi-libs.i686 0:0.6.25-17.el6 cairo.i686 0:1.8.8-6.el6_6
cups-libs.i686 1:1.4.2-78.el6_9 dbus-libs.i686 1:1.2.24-8.el6_6 expat.i686 0:2.0.1-13.el6_8 fontconfig.i686 0:2.8.0-5.el6
freetype.i686 0:2.3.11-17.el6 gamin.i686 0:0.1.10-9.el6 gdk-pixbuf2.i686 0:2.24.1-6.el6_7 gdk-pixbuf2.x86_64 0:2.24.1-6.el6_7
gdk-pixbuf2-devel.x86_64 0:2.24.1-6.el6_7 glib2.i686 0:2.28.8-9.el6 gnutls.i686 0:2.12.23-21.el6 jasper-libs.i686 0:1.900.1-21.el6_9
keyutils-libs.i686 0:1.4-5.el6 krb5-libs.i686 0:1.10.3-65.el6 libX11.i686 0:1.6.4-3.el6 libXau.i686 0:1.0.6-4.el6
libXcomposite.i686 0:0.4.3-4.el6 libXcursor.i686 0:1.1.14-2.1.el6 libXdamage.i686 0:1.1.3-4.el6 libXext.i686 0:1.3.3-1.el6
…………………………………………………………………………………………………………………………………………

Updated:
gtk2.x86_64 0:2.24.23-9.el6

Dependency Updated:
audit.x86_64 0:2.4.5-6.el6 audit-libs.x86_64 0:2.4.5-6.el6 audit-libs-devel.x86_64 0:2.4.5-6.el6
avahi-libs.x86_64 0:0.6.25-17.el6 cairo.x86_64 0:1.8.8-6.el6_6 cairo-devel.x86_64 0:1.8.8-6.el6_6
cups.x86_64 1:1.4.2-78.el6_9 cups-libs.x86_64 1:1.4.2-78.el6_9 cups-lpd.x86_64 1:1.4.2-78.el6_9
dbus.x86_64 1:1.2.24-8.el6_6 dbus-devel.x86_64 1:1.2.24-8.el6_6 dbus-libs.x86_64 1:1.2.24-8.el6_6
dbus-x11.x86_64 1:1.2.24-8.el6_6 e2fsprogs.x86_64 0:1.41.12-23.el6 e2fsprogs-libs.x86_64 0:1.41.12-23.el6 ……………………………………………………………………………………………………………………………………………………………..

Nothing to do
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# ls /home
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# more /etc/group | grep mqm
mqm:x:500:
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# passwd mqm
更改用户 mqm 的密码 。
新的 密码:
无效的密码: 过于简单
重新输入新的 密码:
passwd: 所有的身份验证令牌已经成功更新。
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# su -mqm
su:无效选项 — q
请尝试执行”su –help”来获取更多信息。
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# su – mqm

-bash-4.1$ ./strmqcfg
-bash-4.1$ dspmq
-bash-4.1$ ./dspmq
-bash-4.1$ ./dspmqver
Name: WebSphere MQ
Version: 7.0.1.3
CMVC level: p701-103-100813
BuildType: IKAP – (Production)
-bash-4.1$ ./runmqcfg

-bash-4.1$ ./crtmqm -q CRMQM
WebSphere MQ 队列管理器已创建。
已创建目录“/var/mqm/qmgrs/CRMQM”。
创建或替换 CRMQM 的缺省对象。
缺省对象统计:65 个已创建。0 个已替换。0 个已失败。
正在完成设置。
设置完成。
-bash-4.1$ ./strmqm CRMQM
WebSphere MQ 队列管理器“CRMQM”正在启动。
在日志重放阶段在队列管理器“CRMQM”上访问了 5 条日志记录。
完成队列管理器“CRMQM”的日志重放。
为队列管理器“CRMQM”恢复了事务管理器状态。
WebSphere MQ 队列管理器‘CRMQM’已启动。
-bash-4.1$ ./runmqsc CRMQM
5724-H72 (C) Copyright IBM Corp. 1994, 2009. ALL RIGHTS RESERVED.
启动队列管理器 CRMQM 的 MQSC。

define qlocal(Q.A)
3 : define qlocal(Q.A)
AMQ8006: WebSphere MQ 队列已创建。
end
4 : end
已读取 3 个 MQSC 命令。
2 个命令有语法错误。
已处理所有的有效 MQSC 命令。
-bash-4.1$ cd /opt/mqm/samp/bin
-bash-4.1$ ./amqsput Q.A CRMQM
Sample AMQSPUT0 start
target queue is Q.A
hello MQ

Sample AMQSPUT0 end
-bash-4.1$ ./amqsget Q.A CRMQM
Sample AMQSGET0 start
message <hello MQ>

no more messages
Sample AMQSGET0 end
-bash-4.1$
-bash-4.1$
-bash-4.1$ cd /opt/mqm/bin
-bash-4.1$ end -i CRMQM
-bash: end: command not found
-bash-4.1$ endmqm -i CRMQM
WebSphere MQ 队列管理器‘CRMQM’正在结束。
WebSphere MQ 队列管理器‘CRMQM’已结束。
-bash-4.1$ dltmqm CRMQM
WebSphere MQ 队列管理器‘CRMQM’已删除。
-bash-4.1$ yum install gtk2
Loaded plugins: fastestmirror
You need to be root to perform this command.
-bash-4.1$ exit
logout
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# yum install gtk2
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Setting up Install Process
Package gtk2-2.24.23-9.el6.x86_64 already installed and latest version
Nothing to do
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# yum install ksh
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Setting up Install Process
Resolving Dependencies
–> Running transaction check
—> Package ksh.x86_64 0:20120801-10.el6 will be updated
—> Package ksh.x86_64 0:20120801-36.el6_9 will be an update
–> Finished Dependency Resolution

Dependencies Resolved

=======================================================================================================================================================
Package Arch Version Repository Size
=======================================================================================================================================================
Updating:
ksh x86_64 20120801-36.el6_9 updates 761 k

Transaction Summary
=======================================================================================================================================================
Upgrade 1 Package(s)

Total download size: 761 k
Is this ok [y/N]: y
Downloading Packages:
ksh-20120801-36.el6_9.x86_64.rpm | 761 kB 00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : ksh-20120801-36.el6_9.x86_64 1/2
Cleanup : ksh-20120801-10.el6.x86_64 2/2
Verifying : ksh-20120801-36.el6_9.x86_64 1/2
Verifying : ksh-20120801-10.el6.x86_64 2/2

Updated:
ksh.x86_64 0:20120801-36.el6_9

Complete!
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# groupadd mqbrkrs
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# useradd -g mqbrkrs -G mqm -d /home/wbiadmin -m wbiadmin
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# passwd wbiadmin
更改用户 wbiadmin 的密码 。
新的 密码:
无效的密码: 过于简单
重新输入新的 密码:
passwd: 所有的身份验证令牌已经成功更新。
[root@ibmsyss WebSphere_MQ_V7.0.1.3]# cd ..
[root@ibmsyss mnt]# ls
IE02 install.ini license MBExplorer Message_Broker_Toolkit_V8.0 readmes sample-scripts setuplinuxx64 setuplinuxx64.bin WebSphere_MQ_V7.0.1.3
[root@ibmsyss mnt]# ./setuplinuxx64
Preparing to install…
Extracting the JRE from the installer archive…
Unpacking the JRE…
Extracting the installation resources from the installer archive…
Configuring the installer for this system’s environment…

Launching installer…

Graphical installers are not supported by the VM. The console mode will be used instead…

===============================================================================
选择语言
—-

1- English
->2- 简体中文

按编号选择语言:
===============================================================================
IBM WebSphere Message Broker (created with InstallAnywhere)
——————————————————————————-

Preparing CONSOLE Mode Installation…

===============================================================================
简介

IBM WebSphere Message Broker 安装程序。

请对每个提示作出响应,以便转到安装过程中的下一步。如果您想更改上一步中的任何内容,请输入“back”。

您随时可以通过输入“quit”来取消此安装。

不需要因特网访问权即可完成本安装,但是,包括的第三方软件可能会在安装期间请求访问因特网,这可能会导致防火墙软件显示警告。

请按 <ENTER> 键继续:

===============================================================================

国际程序许可协议

第一部分 – 通用条款

下载、安装、复制、访问、单击“接受”按钮,或以其他方式使用程序,即表明
被许可方同意本协议的条款。如果您代表被许可方接受此类条款,则您陈述并保
证您拥有完全的授权以使该被许可方接受此类条款的约束。如果您不同意此类条
款,

* 则请勿下载、安装、复制、访问、单击“接受”按钮,或使用程序;并且

* 立即将未使用的介质、文档和权利证明退还至提供方,以便获得您所支付金额
的退款。如果下载了程序,那么请销毁程序的所有副本。

1. 定义

“授权使用” – 被许可方被授权执行或运行程序的指定级别。该级别可按用户
数、百万个服务单位(MSUs)、处理器价值单元(PVUs)和其他 IBM 指定的使用
级别进行计量。

按 Enter 键继续查看本许可协议或按 “1” 接受本协议,按 “2” 拒绝本协议,按 “3” 打印本协议,按 “4” 阅读非 IBM 条款,按
“5” 用英语查看,或按 “99” 回到上一屏幕。: 1

===============================================================================
选择安装文件夹
——-

要在何处安装?

缺省安装文件夹:/opt/ibm/mqsi/8.0.0.0

输入一个绝对路径,或按 <ENTER> 键以接受缺省路径:

===============================================================================
安装前摘要
—–

在继续前,请复审以下内容:

产品名:
IBM WebSphere Message Broker

安装文件夹:
/opt/ibm/mqsi/8.0.0.0

磁盘空间信息(用于安装目标):
所需空间: 695,959,699 字节
可用空间: 9,824,493,568 字节

请按 <ENTER> 键继续:

===============================================================================
安装准备就绪
——

安装程序现已准备好将 IBM WebSphere Message Broker 安装到系统上的以下位置:

/opt/ibm/mqsi/8.0.0.0

按 <ENTER> 键进行安装:

===============================================================================
正在安装…
——-

[==================|==================|==================|==================]
[——————|——————|——————|——————]

===============================================================================
安装完成
—-

安装程序已成功地将 IBM WebSphere Message Broker 版本 8.0.0.0 安装到以下位置:

/opt/ibm/mqsi/8.0.0.0

After the installer has ended, the log files will be writen to the following
locations:
[User] /opt/ibm/mqsi/8.0.0.0/IBM WebSphere Message Broker_InstallLog.log
[Debug] /var/mqsi/WMB_8000_installer_debug.log

按 <ENTER> 键以退出安装程序:

Preparing to install…
Extracting the JRE from the installer archive…
Unpacking the JRE…
Extracting the installation resources from the installer archive…
Configuring the installer for this system’s environment…

Launching installer…

Preparing SILENT Mode Installation…

===============================================================================
WebSphere Message Broker ODBC Database Extender (created with InstallAnywhere)
——————————————————————————-

===============================================================================
Installing…
————-

[==================|==================|==================|==================]
[——————|——————|——————|——————]

Installation Complete.
0
[root@ibmsyss mnt]# df -h
Filesystem Size Used Avail Use% Mounted on
/dev/mapper/vg_ibmsyss-lv_root 18G 7.6G 9.0G 46% /
tmpfs 491M 0 491M 0% /dev/shm
/dev/sda1 485M 34M 426M 8% /boot
/root/Mb8_64_For_Linux.iso 2.7G 2.7G 0 100% /mnt
[root@ibmsyss mnt]# exit
logout

以下文章点击率最高

Loading…

发表评论